unit Serial;

INTERFACE
uses Exec;


type
	pIOTArray = ^tIOTArray;
	tIOTArray = record
		TermArray0: long;
		TermArray1: long;
		end;

	pIOExtSer = ^tIOExtSer;
	tIOExtSer = record
		IOSer: tIOStdReq;
		io_CtlChar: long;
		io_RBufLen: long;
		io_ExtFlags: long;
		io_Baud: long;
		io_BrkTime: long;
		io_TermArray: tIOTArray;
		io_ReadLen: byte;
		io_WriteLen: byte;
		io_StopBits: byte;
		io_SerFlags: byte;
		io_Status: word;
		end;



const
	SERF_EOFMODE = $40;
	SerErr_NoDSR = $D;
	IO_STATB_XOFFREAD = $C;
	SerErr_ParityErr = 9;
	IO_STATF_XOFFREAD = $1000;
	SDCMD_BREAK = $A;
	SerErr_BufOverflow = $C;
	IO_STATB_XOFFWRITE = $B;
	IO_STATF_XOFFWRITE = $800;
	SERB_SHARED = 5;
	SERF_SHARED = $20;
	SERIALNAME = 'serial.device';
	SERB_RAD_BOOGIE = 4;
	SDCMD_SETPARAMS = $B;
	SERF_RAD_BOOGIE = $10;
	SERB_PARTY_ON = 0;
	SER_DEFAULT_CTLCHAR = $11130000;
	SERB_XDISABLED = 7;
	SERF_PARTY_ON = 1;
	SERF_XDISABLED = $80;
	IO_STATB_READBREAK = $A;
	SERB_7WIRE = 2;
	SDCMD_QUERY = 9;
	IO_STATF_READBREAK = $400;
	SERF_7WIRE = 4;
	SerErr_DetectedBreak = $F;
	SerErr_BufErr = 4;
	SERB_QUEUEDBRK = 3;
	SerErr_LineErr = 6;
	IO_STATB_WROTEBREAK = 9;
	SERF_QUEUEDBRK = 8;
	IO_STATF_WROTEBREAK = $200;
	IO_STATB_OVERRUN = 8;
	SEXTB_MSPON = 1;
	SerErr_BaudMismatch = 2;
	SerErr_InvParam = 5;
	IO_STATF_OVERRUN = $100;
	SEXTB_MARK = 0;
	SEXTF_MSPON = 2;
	SEXTF_MARK = 1;
	SerErr_DevBusy = 1;
	SerErr_TimerErr = $B;
	SERB_PARTY_ODD = 1;
	SERB_EOFMODE = 6;
	SERF_PARTY_ODD = 2;


IMPLEMENTATION
end.
