unit BattClock;

INTERFACE
uses Exec;


var
	BattClockBase: pLibrary;


const
	RESOURCES_BATTCLOCK_H = 1;
	BATTCLOCKNAME = 'battclock.resource';


procedure ResetBattClock;
function ReadBattClock: long;
procedure WriteBattClock (time: long);


IMPLEMENTATION
procedure ResetBattClock; xassembler;
asm
	move.l	a6,-(sp)
	move.l	BattClockBase,a6
	jsr		-6(a6)
	move.l	(sp)+,a6
end;

function ReadBattClock; xassembler;
asm
	move.l	a6,-(sp)
	move.l	BattClockBase,a6
	jsr		-$C(a6)
	move.l	d0,8(sp)
	move.l	(sp)+,a6
end;

procedure WriteBattClock; xassembler;
asm
	move.l	a6,-(sp)
	move.l	8(sp),d0
	move.l	BattClockBase,a6
	jsr		-$12(a6)
	move.l	(sp)+,a6
end;

end.
