unit Narrator;

INTERFACE
uses Exec;


type
	pnarrator_rb = ^tnarrator_rb;
	tnarrator_rb = record
		message: tIOStdReq;
		rate: word;
		pitch: word;
		mode: word;
		sex: word;
		ch_masks: pbyte;
		nm_masks: word;
		volume: word;
		sampfreq: word;
		mouths: byte;
		chanmask: byte;
		numchan: byte;
		flags: byte;
		F0enthusiasm: byte;
		F0perturb: byte;
		F1adj: shortint;
		F2adj: shortint;
		F3adj: shortint;
		A1adj: shortint;
		A2adj: shortint;
		A3adj: shortint;
		articulate: byte;
		centralize: byte;
		centphon: pbyte;
		AVbias: shortint;
		AFbias: shortint;
		priority: shortint;
		pad1: shortint;
		end;

	pmouth_rb = ^tmouth_rb;
	tmouth_rb = record
		voice: tnarrator_rb;
		width: byte;
		height: byte;
		shape: byte;
		sync: byte;
		end;



const
	MAXPITCH = $140;
	DEFRATE = $96;
	DEFFREQ = $56B8;
	ND_NoMem = $FFFFFFFE;
	ND_CantAlloc = $FFFFFFFA;
	ND_ModeErr = $FFFFFFE8;
	DEFCENTRAL = 0;
	MINCENT = 0;
	FEMALE = 1;
	MINRATE = $28;
	MAXCENT = $64;
	ND_CentPhonErr = $FFFFFFE4;
	ND_RateErr = $FFFFFFEB;
	MAXRATE = $190;
	MINFREQ = $1388;
	ND_FreqErr = $FFFFFFE7;
	MAXFREQ = $6D60;
	NDB_WORDSYNC = 1;
	ND_PitchErr = $FFFFFFEA;
	NDB_NEWIORB = 0;
	ND_PhonErr = $FFFFFFEC;
	ND_SexErr = $FFFFFFE9;
	DEFF0PERT = 0;
	NDF_WORDSYNC = 2;
	ND_VolErr = $FFFFFFE6;
	NDF_NEWIORB = 1;
	DEFPRIORITY = $64;
	ROBOTICF0 = 1;
	DEFSEX = 0;
	ND_NoWrite = $FFFFFFF8;
	DEFVOL = $40;
	ND_UnitErr = $FFFFFFFB;
	NATURALF0 = 0;
	MANUALF0 = 2;
	ND_Unimpl = $FFFFFFF9;
	ND_Expunged = $FFFFFFF7;
	NDB_SYLSYNC = 2;
	MINVOL = 0;
	MAXVOL = $40;
	NDF_SYLSYNC = 4;
	DEFARTIC = $64;
	ND_MakeBad = $FFFFFFFC;
	DEFPITCH = $6E;
	ND_NoAudLib = $FFFFFFFD;
	MALE = 0;
	DEFF0ENTHUS = $20;
	ND_DCentErr = $FFFFFFE5;
	DEFMODE = 0;
	MINPITCH = $41;


IMPLEMENTATION
end.
