unit Parallel;

INTERFACE
uses Exec;


type
	pIOPArray = ^tIOPArray;
	tIOPArray = record
		PTermArray0: long;
		PTermArray1: long;
		end;

	pIOExtPar = ^tIOExtPar;
	tIOExtPar = record
		IOPar: tIOStdReq;
		io_PExtFlags: long;
		io_Status: byte;
		io_ParFlags: byte;
		io_PTermArray: tIOPArray;
		end;



const
	PARF_SLOWMODE = $10;
	ParErr_PortReset = 6;
	IOPARB_ABORT = 5;
	IOPARF_ABORT = $20;
	IOPTB_PARBUSY = 0;
	PARB_SHARED = 5;
	IOPTF_PARBUSY = 1;
	PARF_SHARED = $20;
	IOPTB_PARSEL = 2;
	PARB_RAD_BOOGIE = 3;
	IOPTF_PARSEL = 4;
	PARF_RAD_BOOGIE = 8;
	PDCMD_SETPARAMS = $A;
	ParErr_BufTooBig = 2;
	PDCMD_QUERY = 9;
	ParErr_LineErr = 4;
	IOPTB_RWDIR = 3;
	IOPTF_RWDIR = 8;
	ParErr_InvParam = 3;
	PARALLELNAME = 'parallel.device';
	ParErr_InitErr = 7;
	PARB_FASTMODE = 3;
	IOPARB_ACTIVE = 4;
	ParErr_DevBusy = 1;
	ParErr_NotOpen = 5;
	PARF_FASTMODE = 8;
	IOPARF_ACTIVE = $10;
	PARB_ACKMODE = 2;
	PARF_ACKMODE = 4;
	IOPARB_QUEUED = 6;
	PARB_EOFMODE = 1;
	IOPTB_PAPEROUT = 1;
	IOPARF_QUEUED = $40;
	PARF_EOFMODE = 2;
	IOPTF_PAPEROUT = 2;
	PARB_SLOWMODE = 4;


IMPLEMENTATION
end.
