unit Potgo;

INTERFACE
uses Exec;


var
	PotgoBase: pLibrary;


const
	POTGONAME = 'potgo.resource';


function AllocPotBits (bits: word): word;
procedure FreePotBits (bits: word);
procedure WritePotgo
		(word: word;
		mask: word);



IMPLEMENTATION
function AllocPotBits; xassembler;
asm
	move.l	a6,-(sp)
	move.w	8(sp),d0
	move.l	PotgoBase,a6
	jsr		-6(a6)
	move.w	d0,$A(sp)
	move.l	(sp)+,a6
end;

procedure FreePotBits; xassembler;
asm
	move.l	a6,-(sp)
	move.w	8(sp),d0
	move.l	PotgoBase,a6
	jsr		-$C(a6)
	move.l	(sp)+,a6
end;

procedure WritePotgo; xassembler;
asm
	move.l	a6,-(sp)
	lea		8(sp),a6
	move.w	(a6)+,d1
	move.w	(a6)+,d0
	move.l	PotgoBase,a6
	jsr		-$12(a6)
	move.l	(sp)+,a6
end;

end.
